long_name = "TS Inventory Squelching"
short_name = "ts-squelching"
for_module = "tome"
version = {1,5,10}
addon_version = {1,0,1}
weight = 100
author = {"tsolron", "tsolron@gmail.com"}
homepage = "http://tome.te4.org/"
description = [[Clear up inventory clutter and focus on the items that matter.  This addon allows you to hide items that aren't any use to your character so you can carefully inspect those that do, and suffer from less inventory fatigue over the course of a playthrough.

This addon adds an extra dialog which is opened using Ctrl+D by default.  The options should be fairly self-explanatory and mostly cover squelching individual item types, along with a few options useful to antimagic and undead characters, as well as the ability to squelch the mostly useless white items.  Note that these options are tied to your character, so you'll need to set this up for each character you create.  It also only applies to the transmogrification chest tab in your inventory; squelched items get their own special tab due to a variety of technical details.  Items will be shown when they are picked up in the log, and artifacts will still show their lore popups.  Squelched items will also be transmogrified when you leave the level, as normal.

Directly copied from yrriban's addon, but updated to work for characters with Tinkers and with a few more squelching options.]]

tags = {'inventory', 'convenience', 'organization', 'tsolron'}

overload = true
superload = true
hooks = true
data = false
