local _M = loadPrevious(...)

local base = _M.generate

function _M:generate()
  if type(self.tabslist) ~= table then
    return base(self)
  end
  if _M._last_tabs then
    for k,v in ipairs(_M._last_tabs) do
      if v[2] > #self.tabslist then
        table.remove(_M._last_tabs, k)
      end
    end
    if #_M._last_tabs == 0 then
      _M._last_tabs = nil
    end
  end
  return base(self)
end
